package com.example.shoesapp.ui.screen

import android.R
import android.provider.CalendarContract.Colors
import android.text.style.ForegroundColorSpan
import android.widget.EditText
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.width
import androidx.compose.foundation.text.KeyboardOptions
import androidx.compose.material3.Button
import androidx.compose.material3.HorizontalDivider
import androidx.compose.material3.OutlinedTextField
import androidx.compose.material3.Text
import androidx.compose.material3.TextField
import androidx.compose.material3.TopAppBar
import androidx.compose.runtime.Composable
import androidx.compose.runtime.getValue
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.runtime.saveable.rememberSaveable
import androidx.compose.runtime.setValue
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.layout.VerticalAlignmentLine
import androidx.compose.ui.text.input.KeyboardType
import androidx.compose.ui.text.input.PasswordVisualTransformation
import androidx.compose.ui.text.style.TextAlign
import androidx.compose.ui.tooling.preview.Preview
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import com.example.shoesapp.ui.theme.MatuleTheme


@Composable
fun SigninScreen(){
    SignInContent()
}



@Composable
fun SignInContent() {
    Column {
        TitleWithSubtitleText()
    }
}

@Preview
@Composable
fun TitleWithSubtitleText(){
    Column(
        modifier = Modifier.run { padding(horizontal = 20.dp, vertical = 200.dp) },
        horizontalAlignment = Alignment.CenterHorizontally,
        verticalArrangement = Arrangement.spacedBy(10.dp)
    )
    {
        Text(
            text = "Привет!",
            style = MatuleTheme.typography.headingBold32.copy(color = MatuleTheme.colors.text),
            textAlign = TextAlign.Center,

            )
        Text(
            text = "Заполните Свои данные или продолжите через социальные медиа",
            maxLines = 2,
            style = MatuleTheme.typography.subTitleRegular16.copy(color = MatuleTheme.colors.subTextDark),
            textAlign = TextAlign.Center,
            color = Color(112, 123, 129, 255)
        )
        Column(
            modifier = Modifier.run {padding(horizontal = 10.dp, vertical = 30.dp)},
            horizontalAlignment = Alignment.Start,
            verticalArrangement = Arrangement.spacedBy(5.dp)
        )
        {
            Text(
                text="Email",
                fontSize = 18.sp,
                textAlign = TextAlign.Left,
                color=Color(43,43,43,255)
            )
            val message = remember{mutableStateOf("")}
            OutlinedTextField(
                message.value,
                {message.value = it},
                placeholder = { Text("xyz@gmail.com") }
            )
            Text(
                text="Пароль",
                fontSize = 18.sp,
                textAlign = TextAlign.Left,
                color=Color(43,43,43,255)
            )
            var password by rememberSaveable { mutableStateOf("") }
            OutlinedTextField(
                value = password,
                onValueChange = { password = it },
                placeholder = {Text("••••••••")},
                visualTransformation = PasswordVisualTransformation(),
                keyboardOptions = KeyboardOptions(keyboardType = KeyboardType.Password)
            )
        }
        Button(onClick = {}) {
            Text("Восстановить")
        }
    }

}